Skip to content

Get App List

This endpoint fetches App List(s).

GET https://adelion.com/api/applist/get
ParameterTypeDescriptionRequirement
IdintApp List ID, if sent, request will fetch App List with exact ID, otherwise, it fill fetch all App Lists.optional
ActiveOnlyintRequest will fetch only active App Lists if set to 1, otherwise, it fill fetch all App Lists.optional

To get App List, send query parameter like this: Id=1

Or if you want to get all App Lists, don’t include Id parameter, or set it as 0.

Success JSON
{
"Id": 1,
"TeamId": 1,
"Name": "App List 1",
"VastTags": [
7,
8
],
"RtbEps": [
1,
2
],
"DspRtbEps": [
3,
4
],
"Campaigns": [
5,
6
],
"AppCount": 16063,
"Global": 0,
"Status": 0,
"StatusString": "Active",
"ListText": "com.bundle1.game\ncom.bundle2.app\ncom.bundle3.ctv"
}
Success JSON for multiple
[
{
"Id": 1,
"TeamId": 1,
"Name": "App List 1",
"VastTags": [
7,
8
],
"RtbEps": [
1,
2
],
"DspRtbEps": [
3,
4
],
"Campaigns": [
5,
6
],
"AppCount": 16063,
"Global": 0,
"Status": 0,
"StatusString": "Active"
}
]
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.